package com.unis.crk.report.entity.vo;

import io.swagger.annotations.ApiModelProperty;

public class SearchFieldVo {

    @ApiModelProperty(value = "字段名（表名.字段名）")
    String fieldName ;
    @ApiModelProperty(value = "字段类型(1 字符 2 日期 3 数字)")
    Integer fieldType ;
    @ApiModelProperty(value = "值类型（1 常规 2 介于 3 集合）")
    Integer fieldValueType ;
    @ApiModelProperty(value = "起始值（只一个时，只填此项）")
    String fieldStartValue;
    @ApiModelProperty(value = "截止值")
    String fieldEndValue;

    public String getFieldName() {
        return fieldName;
    }

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }

    public Integer getFieldType() {
        return fieldType;
    }

    public void setFieldType(Integer fieldType) {
        this.fieldType = fieldType;
    }

    public Integer getFieldValueType() {
        return fieldValueType;
    }

    public void setFieldValueType(Integer fieldValueType) {
        this.fieldValueType = fieldValueType;
    }
    public String getFieldStartValue() {
        return fieldStartValue;
    }

    public void setFieldStartValue(String fieldStartValue) {
        this.fieldStartValue = fieldStartValue;
    }

    public String getFieldEndValue() {
        return fieldEndValue;
    }

    public void setFieldEndValue(String fieldEndValue) {
        this.fieldEndValue = fieldEndValue;
    }
}
